// Code generated by protoc-gen-go. DO NOT EDIT.
// source: stats_db/event_listener.proto

package mainx

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type NewDeviceOnboardedInput struct {
	PeerId               string   `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Cpu                  float32  `protobuf:"fixed32,2,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Ram                  float32  `protobuf:"fixed32,3,opt,name=ram,proto3" json:"ram,omitempty"`
	Network              float32  `protobuf:"fixed32,4,opt,name=network,proto3" json:"network,omitempty"`
	DedicatedTime        float32  `protobuf:"fixed32,5,opt,name=dedicated_time,json=dedicatedTime,proto3" json:"dedicated_time,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,6,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewDeviceOnboardedInput) Reset()         { *m = NewDeviceOnboardedInput{} }
func (m *NewDeviceOnboardedInput) String() string { return proto.CompactTextString(m) }
func (*NewDeviceOnboardedInput) ProtoMessage()    {}
func (*NewDeviceOnboardedInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{0}
}

func (m *NewDeviceOnboardedInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewDeviceOnboardedInput.Unmarshal(m, b)
}
func (m *NewDeviceOnboardedInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewDeviceOnboardedInput.Marshal(b, m, deterministic)
}
func (m *NewDeviceOnboardedInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewDeviceOnboardedInput.Merge(m, src)
}
func (m *NewDeviceOnboardedInput) XXX_Size() int {
	return xxx_messageInfo_NewDeviceOnboardedInput.Size(m)
}
func (m *NewDeviceOnboardedInput) XXX_DiscardUnknown() {
	xxx_messageInfo_NewDeviceOnboardedInput.DiscardUnknown(m)
}

var xxx_messageInfo_NewDeviceOnboardedInput proto.InternalMessageInfo

func (m *NewDeviceOnboardedInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *NewDeviceOnboardedInput) GetCpu() float32 {
	if m != nil {
		return m.Cpu
	}
	return 0
}

func (m *NewDeviceOnboardedInput) GetRam() float32 {
	if m != nil {
		return m.Ram
	}
	return 0
}

func (m *NewDeviceOnboardedInput) GetNetwork() float32 {
	if m != nil {
		return m.Network
	}
	return 0
}

func (m *NewDeviceOnboardedInput) GetDedicatedTime() float32 {
	if m != nil {
		return m.DedicatedTime
	}
	return 0
}

func (m *NewDeviceOnboardedInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type NewDeviceOnboardedOutput struct {
	PeerId               string   `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewDeviceOnboardedOutput) Reset()         { *m = NewDeviceOnboardedOutput{} }
func (m *NewDeviceOnboardedOutput) String() string { return proto.CompactTextString(m) }
func (*NewDeviceOnboardedOutput) ProtoMessage()    {}
func (*NewDeviceOnboardedOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{1}
}

func (m *NewDeviceOnboardedOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewDeviceOnboardedOutput.Unmarshal(m, b)
}
func (m *NewDeviceOnboardedOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewDeviceOnboardedOutput.Marshal(b, m, deterministic)
}
func (m *NewDeviceOnboardedOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewDeviceOnboardedOutput.Merge(m, src)
}
func (m *NewDeviceOnboardedOutput) XXX_Size() int {
	return xxx_messageInfo_NewDeviceOnboardedOutput.Size(m)
}
func (m *NewDeviceOnboardedOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_NewDeviceOnboardedOutput.DiscardUnknown(m)
}

var xxx_messageInfo_NewDeviceOnboardedOutput proto.InternalMessageInfo

func (m *NewDeviceOnboardedOutput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

type DeviceStatusChangeInput struct {
	PeerId               string   `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceStatusChangeInput) Reset()         { *m = DeviceStatusChangeInput{} }
func (m *DeviceStatusChangeInput) String() string { return proto.CompactTextString(m) }
func (*DeviceStatusChangeInput) ProtoMessage()    {}
func (*DeviceStatusChangeInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{2}
}

func (m *DeviceStatusChangeInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceStatusChangeInput.Unmarshal(m, b)
}
func (m *DeviceStatusChangeInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceStatusChangeInput.Marshal(b, m, deterministic)
}
func (m *DeviceStatusChangeInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceStatusChangeInput.Merge(m, src)
}
func (m *DeviceStatusChangeInput) XXX_Size() int {
	return xxx_messageInfo_DeviceStatusChangeInput.Size(m)
}
func (m *DeviceStatusChangeInput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceStatusChangeInput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceStatusChangeInput proto.InternalMessageInfo

func (m *DeviceStatusChangeInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *DeviceStatusChangeInput) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *DeviceStatusChangeInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type DeviceStatusChangeOutput struct {
	PeerId               string   `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceStatusChangeOutput) Reset()         { *m = DeviceStatusChangeOutput{} }
func (m *DeviceStatusChangeOutput) String() string { return proto.CompactTextString(m) }
func (*DeviceStatusChangeOutput) ProtoMessage()    {}
func (*DeviceStatusChangeOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{3}
}

func (m *DeviceStatusChangeOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceStatusChangeOutput.Unmarshal(m, b)
}
func (m *DeviceStatusChangeOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceStatusChangeOutput.Marshal(b, m, deterministic)
}
func (m *DeviceStatusChangeOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceStatusChangeOutput.Merge(m, src)
}
func (m *DeviceStatusChangeOutput) XXX_Size() int {
	return xxx_messageInfo_DeviceStatusChangeOutput.Size(m)
}
func (m *DeviceStatusChangeOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceStatusChangeOutput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceStatusChangeOutput proto.InternalMessageInfo

func (m *DeviceStatusChangeOutput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

type DeviceResource struct {
	Cpu                  float32  `protobuf:"fixed32,1,opt,name=cpu,proto3" json:"cpu,omitempty"`
	Ram                  float32  `protobuf:"fixed32,2,opt,name=ram,proto3" json:"ram,omitempty"`
	Network              float32  `protobuf:"fixed32,3,opt,name=network,proto3" json:"network,omitempty"`
	DedicatedTime        float32  `protobuf:"fixed32,4,opt,name=dedicated_time,json=dedicatedTime,proto3" json:"dedicated_time,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceResource) Reset()         { *m = DeviceResource{} }
func (m *DeviceResource) String() string { return proto.CompactTextString(m) }
func (*DeviceResource) ProtoMessage()    {}
func (*DeviceResource) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{4}
}

func (m *DeviceResource) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceResource.Unmarshal(m, b)
}
func (m *DeviceResource) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceResource.Marshal(b, m, deterministic)
}
func (m *DeviceResource) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceResource.Merge(m, src)
}
func (m *DeviceResource) XXX_Size() int {
	return xxx_messageInfo_DeviceResource.Size(m)
}
func (m *DeviceResource) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceResource.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceResource proto.InternalMessageInfo

func (m *DeviceResource) GetCpu() float32 {
	if m != nil {
		return m.Cpu
	}
	return 0
}

func (m *DeviceResource) GetRam() float32 {
	if m != nil {
		return m.Ram
	}
	return 0
}

func (m *DeviceResource) GetNetwork() float32 {
	if m != nil {
		return m.Network
	}
	return 0
}

func (m *DeviceResource) GetDedicatedTime() float32 {
	if m != nil {
		return m.DedicatedTime
	}
	return 0
}

type DeviceResourceChangeInput struct {
	PeerId                   string          `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	ChangedAttributeAndValue *DeviceResource `protobuf:"bytes,2,opt,name=changed_attribute_and_value,json=changedAttributeAndValue,proto3" json:"changed_attribute_and_value,omitempty"`
	Timestamp                float32         `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral     struct{}        `json:"-"`
	XXX_unrecognized         []byte          `json:"-"`
	XXX_sizecache            int32           `json:"-"`
}

func (m *DeviceResourceChangeInput) Reset()         { *m = DeviceResourceChangeInput{} }
func (m *DeviceResourceChangeInput) String() string { return proto.CompactTextString(m) }
func (*DeviceResourceChangeInput) ProtoMessage()    {}
func (*DeviceResourceChangeInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{5}
}

func (m *DeviceResourceChangeInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceResourceChangeInput.Unmarshal(m, b)
}
func (m *DeviceResourceChangeInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceResourceChangeInput.Marshal(b, m, deterministic)
}
func (m *DeviceResourceChangeInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceResourceChangeInput.Merge(m, src)
}
func (m *DeviceResourceChangeInput) XXX_Size() int {
	return xxx_messageInfo_DeviceResourceChangeInput.Size(m)
}
func (m *DeviceResourceChangeInput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceResourceChangeInput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceResourceChangeInput proto.InternalMessageInfo

func (m *DeviceResourceChangeInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *DeviceResourceChangeInput) GetChangedAttributeAndValue() *DeviceResource {
	if m != nil {
		return m.ChangedAttributeAndValue
	}
	return nil
}

func (m *DeviceResourceChangeInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type DeviceResourceChangeOutput struct {
	PeerId               string   `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceResourceChangeOutput) Reset()         { *m = DeviceResourceChangeOutput{} }
func (m *DeviceResourceChangeOutput) String() string { return proto.CompactTextString(m) }
func (*DeviceResourceChangeOutput) ProtoMessage()    {}
func (*DeviceResourceChangeOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{6}
}

func (m *DeviceResourceChangeOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceResourceChangeOutput.Unmarshal(m, b)
}
func (m *DeviceResourceChangeOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceResourceChangeOutput.Marshal(b, m, deterministic)
}
func (m *DeviceResourceChangeOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceResourceChangeOutput.Merge(m, src)
}
func (m *DeviceResourceChangeOutput) XXX_Size() int {
	return xxx_messageInfo_DeviceResourceChangeOutput.Size(m)
}
func (m *DeviceResourceChangeOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceResourceChangeOutput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceResourceChangeOutput proto.InternalMessageInfo

func (m *DeviceResourceChangeOutput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

type DeviceResourceConfigInput struct {
	PeerId                   string          `protobuf:"bytes,1,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	ChangedAttributeAndValue *DeviceResource `protobuf:"bytes,2,opt,name=changed_attribute_and_value,json=changedAttributeAndValue,proto3" json:"changed_attribute_and_value,omitempty"`
	Timestamp                float32         `protobuf:"fixed32,3,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral     struct{}        `json:"-"`
	XXX_unrecognized         []byte          `json:"-"`
	XXX_sizecache            int32           `json:"-"`
}

func (m *DeviceResourceConfigInput) Reset()         { *m = DeviceResourceConfigInput{} }
func (m *DeviceResourceConfigInput) String() string { return proto.CompactTextString(m) }
func (*DeviceResourceConfigInput) ProtoMessage()    {}
func (*DeviceResourceConfigInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{7}
}

func (m *DeviceResourceConfigInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceResourceConfigInput.Unmarshal(m, b)
}
func (m *DeviceResourceConfigInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceResourceConfigInput.Marshal(b, m, deterministic)
}
func (m *DeviceResourceConfigInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceResourceConfigInput.Merge(m, src)
}
func (m *DeviceResourceConfigInput) XXX_Size() int {
	return xxx_messageInfo_DeviceResourceConfigInput.Size(m)
}
func (m *DeviceResourceConfigInput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceResourceConfigInput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceResourceConfigInput proto.InternalMessageInfo

func (m *DeviceResourceConfigInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *DeviceResourceConfigInput) GetChangedAttributeAndValue() *DeviceResource {
	if m != nil {
		return m.ChangedAttributeAndValue
	}
	return nil
}

func (m *DeviceResourceConfigInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type DeviceResourceConfigOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeviceResourceConfigOutput) Reset()         { *m = DeviceResourceConfigOutput{} }
func (m *DeviceResourceConfigOutput) String() string { return proto.CompactTextString(m) }
func (*DeviceResourceConfigOutput) ProtoMessage()    {}
func (*DeviceResourceConfigOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{8}
}

func (m *DeviceResourceConfigOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceResourceConfigOutput.Unmarshal(m, b)
}
func (m *DeviceResourceConfigOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceResourceConfigOutput.Marshal(b, m, deterministic)
}
func (m *DeviceResourceConfigOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceResourceConfigOutput.Merge(m, src)
}
func (m *DeviceResourceConfigOutput) XXX_Size() int {
	return xxx_messageInfo_DeviceResourceConfigOutput.Size(m)
}
func (m *DeviceResourceConfigOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceResourceConfigOutput.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceResourceConfigOutput proto.InternalMessageInfo

func (m *DeviceResourceConfigOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type NewServiceInput struct {
	ServiceId            string   `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	ServiceName          string   `protobuf:"bytes,2,opt,name=service_name,json=serviceName,proto3" json:"service_name,omitempty"`
	ServiceDescription   string   `protobuf:"bytes,3,opt,name=service_description,json=serviceDescription,proto3" json:"service_description,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewServiceInput) Reset()         { *m = NewServiceInput{} }
func (m *NewServiceInput) String() string { return proto.CompactTextString(m) }
func (*NewServiceInput) ProtoMessage()    {}
func (*NewServiceInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{9}
}

func (m *NewServiceInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewServiceInput.Unmarshal(m, b)
}
func (m *NewServiceInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewServiceInput.Marshal(b, m, deterministic)
}
func (m *NewServiceInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewServiceInput.Merge(m, src)
}
func (m *NewServiceInput) XXX_Size() int {
	return xxx_messageInfo_NewServiceInput.Size(m)
}
func (m *NewServiceInput) XXX_DiscardUnknown() {
	xxx_messageInfo_NewServiceInput.DiscardUnknown(m)
}

var xxx_messageInfo_NewServiceInput proto.InternalMessageInfo

func (m *NewServiceInput) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *NewServiceInput) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *NewServiceInput) GetServiceDescription() string {
	if m != nil {
		return m.ServiceDescription
	}
	return ""
}

func (m *NewServiceInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type NewServiceOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NewServiceOutput) Reset()         { *m = NewServiceOutput{} }
func (m *NewServiceOutput) String() string { return proto.CompactTextString(m) }
func (*NewServiceOutput) ProtoMessage()    {}
func (*NewServiceOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{10}
}

func (m *NewServiceOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewServiceOutput.Unmarshal(m, b)
}
func (m *NewServiceOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewServiceOutput.Marshal(b, m, deterministic)
}
func (m *NewServiceOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewServiceOutput.Merge(m, src)
}
func (m *NewServiceOutput) XXX_Size() int {
	return xxx_messageInfo_NewServiceOutput.Size(m)
}
func (m *NewServiceOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_NewServiceOutput.DiscardUnknown(m)
}

var xxx_messageInfo_NewServiceOutput proto.InternalMessageInfo

func (m *NewServiceOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type ServiceStatusInput struct {
	ServiceId            string   `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	PeerId               string   `protobuf:"bytes,2,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	OnlineOfflineStatus  string   `protobuf:"bytes,3,opt,name=online_offline_status,json=onlineOfflineStatus,proto3" json:"online_offline_status,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceStatusInput) Reset()         { *m = ServiceStatusInput{} }
func (m *ServiceStatusInput) String() string { return proto.CompactTextString(m) }
func (*ServiceStatusInput) ProtoMessage()    {}
func (*ServiceStatusInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{11}
}

func (m *ServiceStatusInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceStatusInput.Unmarshal(m, b)
}
func (m *ServiceStatusInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceStatusInput.Marshal(b, m, deterministic)
}
func (m *ServiceStatusInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceStatusInput.Merge(m, src)
}
func (m *ServiceStatusInput) XXX_Size() int {
	return xxx_messageInfo_ServiceStatusInput.Size(m)
}
func (m *ServiceStatusInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceStatusInput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceStatusInput proto.InternalMessageInfo

func (m *ServiceStatusInput) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ServiceStatusInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *ServiceStatusInput) GetOnlineOfflineStatus() string {
	if m != nil {
		return m.OnlineOfflineStatus
	}
	return ""
}

func (m *ServiceStatusInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type ServiceStatusOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceStatusOutput) Reset()         { *m = ServiceStatusOutput{} }
func (m *ServiceStatusOutput) String() string { return proto.CompactTextString(m) }
func (*ServiceStatusOutput) ProtoMessage()    {}
func (*ServiceStatusOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{12}
}

func (m *ServiceStatusOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceStatusOutput.Unmarshal(m, b)
}
func (m *ServiceStatusOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceStatusOutput.Marshal(b, m, deterministic)
}
func (m *ServiceStatusOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceStatusOutput.Merge(m, src)
}
func (m *ServiceStatusOutput) XXX_Size() int {
	return xxx_messageInfo_ServiceStatusOutput.Size(m)
}
func (m *ServiceStatusOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceStatusOutput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceStatusOutput proto.InternalMessageInfo

func (m *ServiceStatusOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type ServiceCallInput struct {
	CallId               float32  `protobuf:"fixed32,1,opt,name=call_id,json=callId,proto3" json:"call_id,omitempty"`
	PeerIdOfServiceHost  string   `protobuf:"bytes,2,opt,name=peer_id_of_service_host,json=peerIdOfServiceHost,proto3" json:"peer_id_of_service_host,omitempty"`
	ServiceId            string   `protobuf:"bytes,3,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	CpuUsed              float32  `protobuf:"fixed32,4,opt,name=cpu_used,json=cpuUsed,proto3" json:"cpu_used,omitempty"`
	MaxRam               float32  `protobuf:"fixed32,5,opt,name=max_ram,json=maxRam,proto3" json:"max_ram,omitempty"`
	MemoryUsed           float32  `protobuf:"fixed32,6,opt,name=memory_used,json=memoryUsed,proto3" json:"memory_used,omitempty"`
	NetworkBwUsed        float32  `protobuf:"fixed32,7,opt,name=network_bw_used,json=networkBwUsed,proto3" json:"network_bw_used,omitempty"`
	TimeTaken            float32  `protobuf:"fixed32,8,opt,name=time_taken,json=timeTaken,proto3" json:"time_taken,omitempty"`
	Status               string   `protobuf:"bytes,9,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,10,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceCallInput) Reset()         { *m = ServiceCallInput{} }
func (m *ServiceCallInput) String() string { return proto.CompactTextString(m) }
func (*ServiceCallInput) ProtoMessage()    {}
func (*ServiceCallInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{13}
}

func (m *ServiceCallInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceCallInput.Unmarshal(m, b)
}
func (m *ServiceCallInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceCallInput.Marshal(b, m, deterministic)
}
func (m *ServiceCallInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceCallInput.Merge(m, src)
}
func (m *ServiceCallInput) XXX_Size() int {
	return xxx_messageInfo_ServiceCallInput.Size(m)
}
func (m *ServiceCallInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceCallInput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceCallInput proto.InternalMessageInfo

func (m *ServiceCallInput) GetCallId() float32 {
	if m != nil {
		return m.CallId
	}
	return 0
}

func (m *ServiceCallInput) GetPeerIdOfServiceHost() string {
	if m != nil {
		return m.PeerIdOfServiceHost
	}
	return ""
}

func (m *ServiceCallInput) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ServiceCallInput) GetCpuUsed() float32 {
	if m != nil {
		return m.CpuUsed
	}
	return 0
}

func (m *ServiceCallInput) GetMaxRam() float32 {
	if m != nil {
		return m.MaxRam
	}
	return 0
}

func (m *ServiceCallInput) GetMemoryUsed() float32 {
	if m != nil {
		return m.MemoryUsed
	}
	return 0
}

func (m *ServiceCallInput) GetNetworkBwUsed() float32 {
	if m != nil {
		return m.NetworkBwUsed
	}
	return 0
}

func (m *ServiceCallInput) GetTimeTaken() float32 {
	if m != nil {
		return m.TimeTaken
	}
	return 0
}

func (m *ServiceCallInput) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *ServiceCallInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type ServiceCallOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceCallOutput) Reset()         { *m = ServiceCallOutput{} }
func (m *ServiceCallOutput) String() string { return proto.CompactTextString(m) }
func (*ServiceCallOutput) ProtoMessage()    {}
func (*ServiceCallOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{14}
}

func (m *ServiceCallOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceCallOutput.Unmarshal(m, b)
}
func (m *ServiceCallOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceCallOutput.Marshal(b, m, deterministic)
}
func (m *ServiceCallOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceCallOutput.Merge(m, src)
}
func (m *ServiceCallOutput) XXX_Size() int {
	return xxx_messageInfo_ServiceCallOutput.Size(m)
}
func (m *ServiceCallOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceCallOutput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceCallOutput proto.InternalMessageInfo

func (m *ServiceCallOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type ServiceRunInput struct {
	CallId               float32  `protobuf:"fixed32,1,opt,name=call_id,json=callId,proto3" json:"call_id,omitempty"`
	PeerIdOfServiceHost  string   `protobuf:"bytes,2,opt,name=peer_id_of_service_host,json=peerIdOfServiceHost,proto3" json:"peer_id_of_service_host,omitempty"`
	Status               string   `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceRunInput) Reset()         { *m = ServiceRunInput{} }
func (m *ServiceRunInput) String() string { return proto.CompactTextString(m) }
func (*ServiceRunInput) ProtoMessage()    {}
func (*ServiceRunInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{15}
}

func (m *ServiceRunInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceRunInput.Unmarshal(m, b)
}
func (m *ServiceRunInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceRunInput.Marshal(b, m, deterministic)
}
func (m *ServiceRunInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceRunInput.Merge(m, src)
}
func (m *ServiceRunInput) XXX_Size() int {
	return xxx_messageInfo_ServiceRunInput.Size(m)
}
func (m *ServiceRunInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceRunInput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceRunInput proto.InternalMessageInfo

func (m *ServiceRunInput) GetCallId() float32 {
	if m != nil {
		return m.CallId
	}
	return 0
}

func (m *ServiceRunInput) GetPeerIdOfServiceHost() string {
	if m != nil {
		return m.PeerIdOfServiceHost
	}
	return ""
}

func (m *ServiceRunInput) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *ServiceRunInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type ServiceRunOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceRunOutput) Reset()         { *m = ServiceRunOutput{} }
func (m *ServiceRunOutput) String() string { return proto.CompactTextString(m) }
func (*ServiceRunOutput) ProtoMessage()    {}
func (*ServiceRunOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{16}
}

func (m *ServiceRunOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceRunOutput.Unmarshal(m, b)
}
func (m *ServiceRunOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceRunOutput.Marshal(b, m, deterministic)
}
func (m *ServiceRunOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceRunOutput.Merge(m, src)
}
func (m *ServiceRunOutput) XXX_Size() int {
	return xxx_messageInfo_ServiceRunOutput.Size(m)
}
func (m *ServiceRunOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceRunOutput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceRunOutput proto.InternalMessageInfo

func (m *ServiceRunOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type ServiceRemoveInput struct {
	ServiceId            string   `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,2,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceRemoveInput) Reset()         { *m = ServiceRemoveInput{} }
func (m *ServiceRemoveInput) String() string { return proto.CompactTextString(m) }
func (*ServiceRemoveInput) ProtoMessage()    {}
func (*ServiceRemoveInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{17}
}

func (m *ServiceRemoveInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceRemoveInput.Unmarshal(m, b)
}
func (m *ServiceRemoveInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceRemoveInput.Marshal(b, m, deterministic)
}
func (m *ServiceRemoveInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceRemoveInput.Merge(m, src)
}
func (m *ServiceRemoveInput) XXX_Size() int {
	return xxx_messageInfo_ServiceRemoveInput.Size(m)
}
func (m *ServiceRemoveInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceRemoveInput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceRemoveInput proto.InternalMessageInfo

func (m *ServiceRemoveInput) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ServiceRemoveInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type ServiceRemoveOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceRemoveOutput) Reset()         { *m = ServiceRemoveOutput{} }
func (m *ServiceRemoveOutput) String() string { return proto.CompactTextString(m) }
func (*ServiceRemoveOutput) ProtoMessage()    {}
func (*ServiceRemoveOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{18}
}

func (m *ServiceRemoveOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceRemoveOutput.Unmarshal(m, b)
}
func (m *ServiceRemoveOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceRemoveOutput.Marshal(b, m, deterministic)
}
func (m *ServiceRemoveOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceRemoveOutput.Merge(m, src)
}
func (m *ServiceRemoveOutput) XXX_Size() int {
	return xxx_messageInfo_ServiceRemoveOutput.Size(m)
}
func (m *ServiceRemoveOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceRemoveOutput.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceRemoveOutput proto.InternalMessageInfo

func (m *ServiceRemoveOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

type NtxPaymentInput struct {
	AmountOfNtx          float32  `protobuf:"fixed32,1,opt,name=amount_of_ntx,json=amountOfNtx,proto3" json:"amount_of_ntx,omitempty"`
	ServiceId            string   `protobuf:"bytes,2,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	PeerId               string   `protobuf:"bytes,3,opt,name=peer_id,json=peerId,proto3" json:"peer_id,omitempty"`
	Timestamp            float32  `protobuf:"fixed32,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NtxPaymentInput) Reset()         { *m = NtxPaymentInput{} }
func (m *NtxPaymentInput) String() string { return proto.CompactTextString(m) }
func (*NtxPaymentInput) ProtoMessage()    {}
func (*NtxPaymentInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{19}
}

func (m *NtxPaymentInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NtxPaymentInput.Unmarshal(m, b)
}
func (m *NtxPaymentInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NtxPaymentInput.Marshal(b, m, deterministic)
}
func (m *NtxPaymentInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NtxPaymentInput.Merge(m, src)
}
func (m *NtxPaymentInput) XXX_Size() int {
	return xxx_messageInfo_NtxPaymentInput.Size(m)
}
func (m *NtxPaymentInput) XXX_DiscardUnknown() {
	xxx_messageInfo_NtxPaymentInput.DiscardUnknown(m)
}

var xxx_messageInfo_NtxPaymentInput proto.InternalMessageInfo

func (m *NtxPaymentInput) GetAmountOfNtx() float32 {
	if m != nil {
		return m.AmountOfNtx
	}
	return 0
}

func (m *NtxPaymentInput) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *NtxPaymentInput) GetPeerId() string {
	if m != nil {
		return m.PeerId
	}
	return ""
}

func (m *NtxPaymentInput) GetTimestamp() float32 {
	if m != nil {
		return m.Timestamp
	}
	return 0
}

type NtxPaymentOutput struct {
	Response             string   `protobuf:"bytes,1,opt,name=response,proto3" json:"response,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NtxPaymentOutput) Reset()         { *m = NtxPaymentOutput{} }
func (m *NtxPaymentOutput) String() string { return proto.CompactTextString(m) }
func (*NtxPaymentOutput) ProtoMessage()    {}
func (*NtxPaymentOutput) Descriptor() ([]byte, []int) {
	return fileDescriptor_3504ad473fd876b6, []int{20}
}

func (m *NtxPaymentOutput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NtxPaymentOutput.Unmarshal(m, b)
}
func (m *NtxPaymentOutput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NtxPaymentOutput.Marshal(b, m, deterministic)
}
func (m *NtxPaymentOutput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NtxPaymentOutput.Merge(m, src)
}
func (m *NtxPaymentOutput) XXX_Size() int {
	return xxx_messageInfo_NtxPaymentOutput.Size(m)
}
func (m *NtxPaymentOutput) XXX_DiscardUnknown() {
	xxx_messageInfo_NtxPaymentOutput.DiscardUnknown(m)
}

var xxx_messageInfo_NtxPaymentOutput proto.InternalMessageInfo

func (m *NtxPaymentOutput) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

func init() {
	proto.RegisterType((*NewDeviceOnboardedInput)(nil), "stats_db.NewDeviceOnboardedInput")
	proto.RegisterType((*NewDeviceOnboardedOutput)(nil), "stats_db.NewDeviceOnboardedOutput")
	proto.RegisterType((*DeviceStatusChangeInput)(nil), "stats_db.DeviceStatusChangeInput")
	proto.RegisterType((*DeviceStatusChangeOutput)(nil), "stats_db.DeviceStatusChangeOutput")
	proto.RegisterType((*DeviceResource)(nil), "stats_db.DeviceResource")
	proto.RegisterType((*DeviceResourceChangeInput)(nil), "stats_db.DeviceResourceChangeInput")
	proto.RegisterType((*DeviceResourceChangeOutput)(nil), "stats_db.DeviceResourceChangeOutput")
	proto.RegisterType((*DeviceResourceConfigInput)(nil), "stats_db.DeviceResourceConfigInput")
	proto.RegisterType((*DeviceResourceConfigOutput)(nil), "stats_db.DeviceResourceConfigOutput")
	proto.RegisterType((*NewServiceInput)(nil), "stats_db.NewServiceInput")
	proto.RegisterType((*NewServiceOutput)(nil), "stats_db.NewServiceOutput")
	proto.RegisterType((*ServiceStatusInput)(nil), "stats_db.ServiceStatusInput")
	proto.RegisterType((*ServiceStatusOutput)(nil), "stats_db.ServiceStatusOutput")
	proto.RegisterType((*ServiceCallInput)(nil), "stats_db.ServiceCallInput")
	proto.RegisterType((*ServiceCallOutput)(nil), "stats_db.ServiceCallOutput")
	proto.RegisterType((*ServiceRunInput)(nil), "stats_db.ServiceRunInput")
	proto.RegisterType((*ServiceRunOutput)(nil), "stats_db.ServiceRunOutput")
	proto.RegisterType((*ServiceRemoveInput)(nil), "stats_db.ServiceRemoveInput")
	proto.RegisterType((*ServiceRemoveOutput)(nil), "stats_db.ServiceRemoveOutput")
	proto.RegisterType((*NtxPaymentInput)(nil), "stats_db.NtxPaymentInput")
	proto.RegisterType((*NtxPaymentOutput)(nil), "stats_db.NtxPaymentOutput")
}

func init() {
	proto.RegisterFile("stats_db/event_listener.proto", fileDescriptor_3504ad473fd876b6)
}

var fileDescriptor_3504ad473fd876b6 = []byte{
	// 958 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xcc, 0x57, 0x4d, 0x6f, 0xe3, 0x44,
	0x18, 0xae, 0x93, 0x92, 0x36, 0x6f, 0xe8, 0x07, 0x53, 0xd8, 0xba, 0x5e, 0x2a, 0x76, 0xcd, 0x87,
	0xf6, 0x94, 0x8a, 0x2e, 0x48, 0x5c, 0xf7, 0x03, 0x44, 0x24, 0xd4, 0x80, 0xbb, 0x80, 0xc4, 0x65,
	0x34, 0xb1, 0xdf, 0x6c, 0xad, 0x8d, 0x67, 0x2c, 0x7b, 0xdc, 0x64, 0x7f, 0x03, 0x77, 0x8e, 0x1c,
	0xb8, 0x72, 0xe6, 0x8f, 0xf0, 0x1b, 0xf8, 0x21, 0xc8, 0x33, 0xe3, 0xd8, 0x4e, 0x9c, 0xc4, 0x17,
	0x24, 0x4e, 0xad, 0xdf, 0x8f, 0x79, 0x9f, 0xe7, 0x99, 0x79, 0xdf, 0x99, 0xc0, 0x65, 0x2a, 0x99,
	0x4c, 0x69, 0x30, 0xb9, 0xc2, 0x7b, 0xe4, 0x92, 0xce, 0xc2, 0x54, 0x22, 0xc7, 0x64, 0x18, 0x27,
	0x42, 0x0a, 0x72, 0x58, 0xb8, 0xdd, 0xbf, 0x2c, 0x38, 0xbf, 0xc1, 0xf9, 0x4b, 0xbc, 0x0f, 0x7d,
	0x1c, 0xf3, 0x89, 0x60, 0x49, 0x80, 0xc1, 0x88, 0xc7, 0x99, 0x24, 0xe7, 0x70, 0x10, 0x23, 0x26,
	0x34, 0x0c, 0x6c, 0xeb, 0x91, 0xf5, 0xa4, 0xef, 0xf5, 0xf2, 0xcf, 0x51, 0x40, 0x4e, 0xa1, 0xeb,
	0xc7, 0x99, 0xdd, 0x79, 0x64, 0x3d, 0xe9, 0x78, 0xf9, 0xbf, 0xb9, 0x25, 0x61, 0x91, 0xdd, 0xd5,
	0x96, 0x84, 0x45, 0xc4, 0x86, 0x03, 0x8e, 0x72, 0x2e, 0x92, 0x37, 0xf6, 0xbe, 0xb2, 0x16, 0x9f,
	0xe4, 0x53, 0x38, 0x0e, 0x30, 0x08, 0x7d, 0x26, 0x31, 0xa0, 0x32, 0x8c, 0xd0, 0x7e, 0x47, 0x05,
	0x1c, 0x2d, 0xad, 0xaf, 0xc2, 0x08, 0xc9, 0x87, 0xd0, 0xcf, 0x9d, 0xa9, 0x64, 0x51, 0x6c, 0xf7,
	0x54, 0x44, 0x69, 0x70, 0x9f, 0x82, 0xbd, 0x0e, 0x7b, 0x9c, 0xc9, 0x6d, 0xb8, 0xdd, 0x3b, 0x38,
	0xd7, 0x19, 0xb7, 0x92, 0xc9, 0x2c, 0x7d, 0x71, 0xc7, 0xf8, 0x6b, 0xdc, 0xc1, 0xf5, 0x01, 0xf4,
	0x52, 0x15, 0xad, 0xe8, 0xf6, 0x3d, 0xf3, 0x55, 0x87, 0xd7, 0x6d, 0x80, 0xb7, 0x5e, 0x69, 0x17,
	0xbc, 0x0c, 0x8e, 0x75, 0x92, 0x87, 0xa9, 0xc8, 0x12, 0x1f, 0x0b, 0xa1, 0xad, 0x35, 0xa1, 0x3b,
	0x8d, 0x42, 0x77, 0x77, 0x09, 0xbd, 0xdf, 0x20, 0xb4, 0xfb, 0xa7, 0x05, 0x17, 0xf5, 0xba, 0xad,
	0x84, 0xf9, 0x19, 0x1e, 0xfa, 0x2a, 0x2e, 0xa0, 0x4c, 0xca, 0x24, 0x9c, 0x64, 0x12, 0x29, 0xe3,
	0x01, 0xbd, 0x67, 0xb3, 0x0c, 0x15, 0xc2, 0xc1, 0xb5, 0x3d, 0x2c, 0x4e, 0xda, 0xb0, 0x5e, 0xc2,
	0xb3, 0x4d, 0xf2, 0xb3, 0x22, 0xf7, 0x19, 0x0f, 0x7e, 0xca, 0x33, 0x77, 0x28, 0xfb, 0x25, 0x38,
	0x4d, 0x60, 0x77, 0x69, 0xdb, 0x40, 0x52, 0xf0, 0x69, 0xf8, 0xfa, 0xff, 0x49, 0xf2, 0xab, 0x35,
	0x92, 0x0a, 0xac, 0x21, 0xe9, 0xc0, 0x61, 0x82, 0x69, 0x2c, 0x78, 0x8a, 0x06, 0xee, 0xf2, 0xdb,
	0xfd, 0xc3, 0x82, 0x93, 0x1b, 0x9c, 0xdf, 0x62, 0x92, 0xa7, 0x6b, 0x76, 0x97, 0x00, 0xa9, 0xfe,
	0x2e, 0x09, 0xf6, 0x8d, 0x65, 0x14, 0x90, 0xc7, 0xf0, 0x6e, 0xe1, 0xe6, 0x2c, 0x42, 0x73, 0xce,
	0x07, 0xc6, 0x76, 0xc3, 0x22, 0x24, 0x57, 0x70, 0x56, 0x84, 0x04, 0x98, 0xfa, 0x49, 0x18, 0xcb,
	0x50, 0x70, 0x85, 0xbb, 0xef, 0x11, 0xe3, 0x7a, 0x59, 0x7a, 0xea, 0xf4, 0xf6, 0x57, 0xe9, 0x0d,
	0xe1, 0xb4, 0xc4, 0xd8, 0x82, 0xd4, 0xef, 0x16, 0x10, 0x13, 0xad, 0xfb, 0xa9, 0x15, 0xaf, 0xca,
	0xa6, 0x76, 0x6a, 0x9b, 0x7a, 0x0d, 0x1f, 0x08, 0x3e, 0x0b, 0x39, 0x52, 0x31, 0x9d, 0xaa, 0xbf,
	0xa6, 0xc3, 0x35, 0x9f, 0x33, 0xed, 0x1c, 0x6b, 0xdf, 0x6d, 0x43, 0xbb, 0xaf, 0x11, 0xfa, 0x1c,
	0xce, 0x6a, 0xf8, 0x5a, 0x70, 0xfa, 0xbb, 0x03, 0xa7, 0x26, 0xe7, 0x05, 0x9b, 0xcd, 0x96, 0xe7,
	0xd0, 0x67, 0xb3, 0x59, 0x41, 0xa7, 0xe3, 0xf5, 0xf2, 0xcf, 0x51, 0x40, 0xbe, 0x80, 0x73, 0xc3,
	0x85, 0x8a, 0x29, 0x2d, 0x58, 0xdf, 0x89, 0x54, 0x1a, 0x6e, 0x67, 0x9a, 0xdb, 0x78, 0x6a, 0xd6,
	0xfc, 0x56, 0xa4, 0xab, 0x02, 0x75, 0x57, 0x05, 0xba, 0x80, 0x43, 0x3f, 0xce, 0x68, 0x96, 0x62,
	0x50, 0xcc, 0x68, 0x3f, 0xce, 0x7e, 0x4c, 0x51, 0x69, 0x17, 0xb1, 0x05, 0xcd, 0x47, 0x8d, 0x1e,
	0xce, 0xbd, 0x88, 0x2d, 0x3c, 0x16, 0x91, 0x8f, 0x60, 0x10, 0x61, 0x24, 0x92, 0xb7, 0x3a, 0x4d,
	0xcf, 0x65, 0xd0, 0x26, 0x95, 0xf9, 0x19, 0x9c, 0x98, 0xf9, 0x43, 0x27, 0x73, 0x1d, 0x74, 0xa0,
	0xa7, 0x8e, 0x31, 0x3f, 0x9f, 0xab, 0xb8, 0x4b, 0x80, 0x5c, 0x3f, 0x2a, 0xd9, 0x1b, 0xe4, 0xf6,
	0x61, 0xa9, 0xe8, 0xab, 0xdc, 0x50, 0x19, 0xbb, 0xfd, 0xcd, 0x63, 0x17, 0x56, 0xf7, 0xe1, 0x0a,
	0xde, 0xab, 0x68, 0xda, 0x62, 0x17, 0x7e, 0xb3, 0xe0, 0xc4, 0x64, 0x78, 0x19, 0xff, 0x4f, 0x36,
	0xa1, 0x64, 0xd2, 0xdd, 0xcc, 0xa4, 0xa9, 0x45, 0x4a, 0x5c, 0x2d, 0x88, 0xfc, 0xb0, 0xec, 0x10,
	0x0f, 0x23, 0x71, 0xdf, 0xae, 0xf3, 0x6b, 0x10, 0x3a, 0x9b, 0x0f, 0xb5, 0x5e, 0xb2, 0x05, 0x8a,
	0x5f, 0xf3, 0xe9, 0x23, 0x17, 0xdf, 0xb3, 0xb7, 0x11, 0x72, 0xa9, 0x31, 0xb8, 0x70, 0xc4, 0x22,
	0x91, 0x71, 0x99, 0x8b, 0xc6, 0xe5, 0xc2, 0x88, 0x3a, 0xd0, 0xc6, 0xf1, 0xf4, 0x46, 0x2e, 0x56,
	0x70, 0x76, 0xb6, 0x74, 0x72, 0xb7, 0xd6, 0xc9, 0xbb, 0xc7, 0xcc, 0x12, 0xcc, 0x6e, 0xf4, 0xd7,
	0xff, 0xf4, 0xe0, 0xe8, 0xeb, 0xfc, 0xb9, 0xf4, 0x9d, 0x79, 0x2d, 0x11, 0x0a, 0xef, 0x73, 0x9c,
	0xd3, 0x40, 0xcd, 0x62, 0x2a, 0x8a, 0x77, 0x06, 0x79, 0x5c, 0x4e, 0xfc, 0x0d, 0x8f, 0x27, 0xc7,
	0xdd, 0x16, 0xa2, 0xc1, 0xb8, 0x7b, 0x79, 0x01, 0xb3, 0xb8, 0x3e, 0x15, 0x54, 0x5f, 0x18, 0xd5,
	0x02, 0x1b, 0x5e, 0x2c, 0xd5, 0x02, 0x9b, 0x9e, 0x1a, 0xee, 0x1e, 0x41, 0x78, 0x60, 0x0a, 0x24,
	0xe6, 0x2a, 0x29, 0x4a, 0x7c, 0xbc, 0xe9, 0xd6, 0xaa, 0x16, 0xf9, 0x64, 0x7b, 0xd0, 0xd6, 0x32,
	0xea, 0xca, 0xda, 0x52, 0xa6, 0xbc, 0x7f, 0xb7, 0x94, 0xa9, 0xdc, 0x7b, 0xee, 0x1e, 0xf9, 0x06,
	0x06, 0xf9, 0x7e, 0x98, 0x93, 0x41, 0x2e, 0x6a, 0x1a, 0x57, 0xef, 0x3c, 0xc7, 0x69, 0x72, 0x2d,
	0xd7, 0x19, 0xc3, 0x71, 0x71, 0xde, 0x8a, 0x6e, 0x2c, 0xe3, 0xd7, 0x6f, 0x1a, 0xe7, 0x72, 0x83,
	0x77, 0xb9, 0xe0, 0xa8, 0xbc, 0x43, 0xf3, 0x61, 0x41, 0x9c, 0xb5, 0x84, 0xe5, 0x90, 0x77, 0x1e,
	0x36, 0xfa, 0xaa, 0x1c, 0x8b, 0xa5, 0x92, 0x8c, 0x57, 0x39, 0xae, 0x0c, 0x2a, 0xc7, 0x69, 0x72,
	0x35, 0x71, 0x4c, 0x54, 0xff, 0x36, 0x70, 0xac, 0xcc, 0x8a, 0x06, 0x8e, 0xd5, 0xb6, 0x37, 0xe2,
	0xcb, 0x05, 0x8d, 0x75, 0x3f, 0xd5, 0xc4, 0xaf, 0xb7, 0x7c, 0x4d, 0xfc, 0x95, 0x06, 0x74, 0xf7,
	0x9e, 0xf7, 0x7f, 0x39, 0x18, 0x5e, 0x45, 0x2c, 0xe4, 0x8b, 0x49, 0x4f, 0xfd, 0x1c, 0x79, 0xfa,
	0x6f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x96, 0x00, 0x40, 0xc4, 0xaf, 0x0c, 0x00, 0x00,
}
